## edu.cwru.SimpleRTS.Log
Class DamageLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.DamageLog

All Implemented Interfaces:
  java.io.Serializable

    public class DamageLog

extends java.lang.Object
implements java.io.Serializable

A read only class logging damage.

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`DamageLog(int attackerid, int attackercontroller, int defenderid, int defendercontroller, int damageamount)`

Method Summary
`int` `getAttackerController()`
`int` `getAttackerID()`
`int` `getDamage()`
`int` `getDefenderController()`
`int` `getDefenderID()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DamageLog

    public DamageLog(int attackerid,
                     int attackercontroller,
                     int defenderid,
                     int defendercontroller,
                     int damageamount)

Method Detail

### getDamage

    public int getDamage()

### getAttackerID

    public int getAttackerID()

### getDefenderID

    public int getDefenderID()

### getAttackerController

    public int getAttackerController()

### getDefenderController

    public int getDefenderController()